## pytest 8.4.2

=== doc/en/requirements.txt ===
-c broken-dep-constraints.txt
pluggy>=1.5.0
pygments-pytest>=2.3.0
sphinx-removed-in>=0.2.0
sphinx>=7
sphinxcontrib-trio
sphinxcontrib-svg2pdfconverter
furo
sphinxcontrib-towncrier
sphinx-issues
