=== testing/plugins_integration/requirements.txt ===
anyio[trio]==4.9.0
django==5.2.1
pytest-asyncio==0.26.0
pytest-bdd==8.1.0
pytest-cov==6.1.1
pytest-django==4.11.1
pytest-flakes==4.0.5
pytest-html==4.1.1
pytest-mock==3.14.1
pytest-rerunfailures==15.1
pytest-sugar==1.0.0
pytest-trio==0.8.0
pytest-twisted==1.14.3
twisted==24.11.0
pytest-xvfb==3.1.1
