=== debian/changelog ===
pytest (8.4.2-1) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * New upstream version 8.4.2

 -- Timo Röhling <roehling@debian.org>  Sun, 07 Sep 2025 19:21:54 +0200
