=== debian/watch ===
Version: 5

Source: https://pypi.debian.net/pytest/
Matching-Pattern: pytest-@SEMANTIC_VERSION@@ARCHIVE_EXT@
Uversion-Mangle: auto
Dversion-Mangle: auto
