## pytest 9.0.0

=== testing/plugins_integration/requirements.txt ===
anyio[trio]==4.11.0
django==5.2.8
pytest-asyncio==1.2.0
pytest-bdd==8.1.0
pytest-cov==7.0.0
pytest-django==4.11.1
pytest-flakes==4.0.5
pytest-html==4.1.1
pytest-mock==3.15.1
pytest-rerunfailures==16.1
pytest-sugar==1.1.1
pytest-trio==0.8.0
pytest-twisted==1.14.3
twisted==25.5.0
pytest-xvfb==3.1.1
