=== debian/changelog ===
pytest (9.0.0-1) experimental; urgency=medium

  [ Alexandre Detiste ]
  * update description "py.test" -> "pytest"
  * drop "Rules-Requires-Root: no": it is the default now

  [ Timo Röhling ]
  * New upstream version 9.0.0
  * Refresh patches (no functional changes)
  * New dependency python3-sphinx-inline-tabs

 -- Timo Röhling <roehling@debian.org>  Tue, 11 Nov 2025 09:38:48 +0100
