=== debian/control ===
--- 
+++ 
@@ -27,6 +27,7 @@
  python3-setuptools,
  python3-setuptools-scm,
  python3-sphinx <!nodoc>,
+ python3-sphinx-inline-tabs <!nodoc>,
  python3-sphinx-issues <!nodoc>,
  python3-sphinxcontrib-towncrier <!nodoc>,
  python3-xmlschema <!nocheck>,
@@ -35,7 +36,6 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/pytest.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest
 Testsuite: autopkgtest-pkg-pybuild
-Rules-Requires-Root: no
 
 Package: python-pytest-doc
 Section: doc
@@ -65,4 +65,4 @@
  boilerplate code around the tests, promoting the use of built-in
  mechanisms such as the `assert` keyword.
  .
- This package provides the Python 3 module and the py.test-3 script.
+ This package provides the Python 3 module and the pytest script.
