=== testing/plugins_integration/requirements.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 anyio[trio]==4.11.0
 django==5.2.8
-pytest-asyncio==1.2.0
+pytest-asyncio==1.3.0
 pytest-bdd==8.1.0
 pytest-cov==7.0.0
 pytest-django==4.11.1
