=== debian/changelog ===
pytest (9.0.1-1) experimental; urgency=medium

  * New upstream version 9.0.1

 -- Timo Röhling <roehling@debian.org>  Sat, 15 Nov 2025 11:30:03 +0100
