## pytest 9.0.2

=== debian/changelog ===
pytest (9.0.2-3) unstable; urgency=medium

  * Add python3-pytest-subtests transitional dummy package (Closes: #1127333)
  * Bump Standards-Version to 4.7.3

 -- Timo Röhling <roehling@debian.org>  Tue, 03 Mar 2026 17:38:38 +0100

pytest (9.0.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Sun, 14 Dec 2025 22:52:49 +0100

pytest (9.0.2-1) experimental; urgency=medium

  * New upstream version 9.0.2
  * pytest-subtests is part of pytest itself now

 -- Timo Röhling <roehling@debian.org>  Tue, 09 Dec 2025 11:07:17 +0100
