=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
  python3-sphinx-issues <!nodoc>,
  python3-sphinxcontrib-towncrier <!nodoc>,
  python3-xmlschema <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://pytest.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/pytest.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest
@@ -58,6 +58,12 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+Breaks:
+ python3-pytest-subtests (<< 0.15.0+),
+Replaces:
+ python3-pytest-subtests (<< 0.15.0+),
+Provides:
+ python3-pytest-subtests,
 Recommends:
  python3-pygments,
 Description: Simple, powerful testing in Python3
@@ -66,3 +72,18 @@
  mechanisms such as the `assert` keyword.
  .
  This package provides the Python 3 module and the pytest script.
+
+Package: python3-pytest-subtests
+Section: oldlibs
+Architecture: all
+Depends:
+ python3-pytest,
+ ${misc:Depends},
+Description: Subtests fixture plugin for pytest (transitional dummy package)
+ This package used to provide unittest subTest() support and a subtests
+ fixture, adding support for TestCase.subTest and providing similar
+ functionality for pure pytest tests.
+ .
+ Starting with Pytest 9, this functionality has been integrated into Pytest
+ itself. This is now a transitional dummy package to ease upgrades and can
+ be safely removed.
