=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_NAME=pytest
 
@@ -25,3 +27,7 @@
 		SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build \
 		$(MAKE) -C doc/en man html
 endif
+
+override_dh_gencontrol:
+	dh_gencontrol -ppython3-pytest-subtests -- -v0.15.0++$(DEB_VERSION_UPSTREAM_REVISION)
+	dh_gencontrol --remaining-packages
