## pytest asyncio-1.0.0

=== dependencies/docs/requirements.txt ===
sphinx >= 5.3
sphinx-rtd-theme >= 1.0
