## pytest cov-7.0.0

=== ci/requirements.txt ===
pip>=25
setuptools>=80
tox>=4
virtualenv>=20.34
