=== requirements/requirements.txt ===
#
# This file is autogenerated by hatch-pip-compile with Python 3.11
#
# - pytest
#

iniconfig==2.0.0
    # via pytest
packaging==24.0
    # via pytest
pluggy==1.4.0
    # via pytest
pytest==8.1.1
