## pytest eucalyptus-0.4.1

=== requirements.txt ===
ansicolors>=1.1.8
colorama>=0.3.9
gherkin-official>=4.1.3, <5
repoze.lru
pytest>=4.2.0
