## pytest loop-1.0.13

=== requirements.txt ===
anyio==4.6.2.post1
arrow==1.3.0
backports.tarfile==1.2.0
binaryornot==0.4.4
build==1.2.2.post1
cachetools==5.5.0
certifi==2024.8.30
chardet==5.2.0
charset-normalizer==3.4.0
click==8.1.7
colorama==0.4.6
cookiecutter==2.6.0
distlib==0.3.9
filelock==3.16.1
h11==0.14.0
hatch==1.13.0
hatchling==1.25.0
httpcore==1.0.6
httpx==0.27.2
hyperlink==21.0.0
idna==3.10
importlib_metadata==8.5.0
iniconfig==2.0.0
jaraco.classes==3.4.0
jaraco.context==6.0.1
jaraco.functools==4.1.0
Jinja2==3.1.4
keyring==25.4.1
markdown-it-py==3.0.0
MarkupSafe==3.0.1
mdurl==0.1.2
more-itertools==10.5.0
nh3==0.2.18
packaging==24.1
pathspec==0.12.1
pexpect==4.9.0
pkginfo==1.11.2
platformdirs==4.3.6
pluggy==1.5.0
ptyprocess==0.7.0
Pygments==2.18.0
pyproject-api==1.8.0
pyproject_hooks==1.2.0
pytest==8.3.3
pytest-html==4.1.1
pytest-metadata==3.1.1
python-dateutil==2.9.0.post0
python-slugify==8.0.4
pywin32-ctypes==0.2.3
PyYAML==6.0.2
requests==2.32.3
rfc3986==2.0.0
rich==13.9.2
shellingham==1.5.4
six==1.16.0
sniffio==1.3.1
text-unidecode==1.3
tomli_w==1.1.0
tomlkit==0.13.2
tox==4.23.0
trove-classifiers==2024.10.16
types-python-dateutil==2.9.0.20241003
urllib3==2.2.3
userpath==1.9.2
uv==0.4.23
versioningit==3.1.2
virtualenv==20.26.6
zipp==3.20.2
zstandard==0.23.0
