## pytest matcher-2.0.2

=== doc/requirements.txt ===
# SPDX-FileCopyrightText: 2017-now Alex Turbov <zaufi@pm.me>
# SPDX-License-Identifier: CC0-1.0

sphinx
sphinx_rtd_theme
-e .
