## pytest mproc-5.1.12

=== requirements.txt ===
pytest>=6
requests>=2.27
aiofile>=3.7
aiocontext>=0.1
aiohttp>=3.8
