=== docs/requirements.txt ===
mkdocs
mkdocs-material
mkdocstrings[python]

#netdut dependencies
pytest
pyeapi
pexpect
