## pytest plugins-0.4.8

=== requirements.txt ===
setuptools
wheel
dotenv
colorlog
pytest
pytest-rerunfailures
custom-python-logger
