## pytest plugins-1.0.8

=== requirements.txt ===
setuptools
wheel
python-dotenv
pre-commit
colorlog
pytest
pytest-rerunfailures
custom-python-logger
python-base-toolkit
pandas
