## pytest qgis-2.1.0

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.9
# by the following command:
#
#    pip-compile
#
atomicwrites==1.4.1
    # via pytest
attrs==23.1.0
    # via pytest
colorama==0.4.6
    # via pytest
iniconfig==2.0.0
    # via pytest
packaging==23.2
    # via pytest
pluggy==1.3.0
    # via pytest
py==1.11.0
    # via pytest
pytest==6.2.5
    # via -r requirements.in
toml==0.10.2
    # via pytest
